import sys
import pdb

def hash_it(h,k,base=1,update=True):
    if k in h:
        return h[k]
    else:
        if update:
            i = len(h)
            v = i + base
            h[k] = v
            return v
        else:
            return None

def write_seq ( infile, seq_outfile, lex_outfile ):
    lex = {}
    for line in infile:    
        for token in line.decode("utf-8").strip().split(u" "):
            i = hash_it ( lex, token )
            print >>seq_outfile,i,
        print >>seq_outfile, ""

    for k,v in sorted ( lex.iteritems(), key=lambda (k,v): v ):
        print >>lex_outfile, k.encode("utf-8")
            
def main():
    # python make_seq_files.py german.{words,tags} german.{wseq,wlex,tseq,tlex}
    (words_infilename,
     tags_infilename,
     wseq_outfilename,
     wlex_outfilename,
     tseq_outfilename,
     tlex_outfilename) = sys.argv[1:7]

    write_seq ( open(words_infilename),
                open(wseq_outfilename,'w+'),
                open(wlex_outfilename,'w+') )

    write_seq ( open(tags_infilename),
                open(tseq_outfilename,'w+'),
                open(tlex_outfilename,'w+') )

    
if __name__ == '__main__':
    main()
