#!/bin/bash

./run_typetagger.bash input.txt 45 1 output
./run_typetagger.bash input.txt 45 2 output
./run_typetagger.bash input.txt 45 3 output

for m in 1 2 3; do
    i="output.expected/${m}.dict"
    j=$(basename $i)
    if diff -q $i output/$j; then
        echo "dictionary output/$j OK"
    fi
done
if diff -q output.expected/data.wfeats output/data.wfeats; then
    echo "morfessor suffix features are the same"
fi

